Loading...
Searching...
No Matches
gr::filter::kernel::fir_filter_with_buffer_fff Class Reference

FIR with internal buffer for float input, float output and float taps. More...

`#include <gnuradio/filter/fir_filter_with_buffer.h>`

## Public Member Functions

| fir_filter_with_buffer_fff (const std::vector< float > &taps)
| construct new FIR with given taps.
| fir_filter_with_buffer_fff (const fir_filter_with_buffer_fff &)=delete
fir_filter_with_buffer_fff & | operator= (const fir_filter_with_buffer_fff &)=delete
| fir_filter_with_buffer_fff (fir_filter_with_buffer_fff &&)=default
fir_filter_with_buffer_fff & | operator= (fir_filter_with_buffer_fff &&)=default
float | filter (float input)
| compute a single output value.
float | filter (const float input[], unsigned long dec)
| compute a single output value; designed for decimating filters.
void | filterN (float output[], const float input[], unsigned long n)
| compute an array of N output values.
void | filterNdec (float output[], const float input[], unsigned long n, unsigned long decimate)
| compute an array of N output values, decimating the input
unsigned int | ntaps () const
void | set_taps (const std::vector< float > &taps)
| install `new_taps` as the current taps.
std::vector< float > | taps () const

## Detailed Description

FIR with internal buffer for float input, float output and float taps.

## Constructor & Destructor Documentation

## fir_filter_with_buffer_fff() [1/3]

gr::filter::kernel::fir_filter_with_buffer_fff::fir_filter_with_buffer_fff | ( | const std::vector< float > & | taps | ) |

construct new FIR with given taps.

Note that taps must be in forward order, e.g., coefficient 0 is stored in new_taps[0], coefficient 1 is stored in new_taps[1], etc.

## fir_filter_with_buffer_fff() [2/3]

gr::filter::kernel::fir_filter_with_buffer_fff::fir_filter_with_buffer_fff | ( | const fir_filter_with_buffer_fff & |  | ) |

delete

## fir_filter_with_buffer_fff() [3/3]

gr::filter::kernel::fir_filter_with_buffer_fff::fir_filter_with_buffer_fff | ( | fir_filter_with_buffer_fff && |  | ) |

default

## Member Function Documentation

## filter() [1/2]

float gr::filter::kernel::fir_filter_with_buffer_fff::filter | ( | const float | input[],
|  | unsigned long | dec )

compute a single output value; designed for decimating filters.

`input` is a single input value of the filter type. The value of dec is the decimating value of the filter, so input[] must have dec valid values. The filter pushes dec number of items onto the circ. buffer before computing a single output.

Returns
  the filtered input value.

## filter() [2/2]

float gr::filter::kernel::fir_filter_with_buffer_fff::filter | ( | float | input | ) |

compute a single output value.

`input` is a single input value of the filter type

Returns
  the filtered input value.

## filterN()

void gr::filter::kernel::fir_filter_with_buffer_fff::filterN | ( | float | output[],
|  | const float | input[],
|  | unsigned long | n )

compute an array of N output values.

`input` must have (n - 1 + ntaps()) valid entries. input[0] .. input[n - 1 + ntaps() - 1] are referenced to compute the output values.

## filterNdec()

void gr::filter::kernel::fir_filter_with_buffer_fff::filterNdec | ( | float | output[],
|  | const float | input[],
|  | unsigned long | n,
|  | unsigned long | decimate )

compute an array of N output values, decimating the input

`input` must have (decimate * (n - 1) + ntaps()) valid entries. input[0] .. input[decimate * (n - 1) + ntaps() - 1] are referenced to compute the output values.

## ntaps()

unsigned int gr::filter::kernel::fir_filter_with_buffer_fff::ntaps | ( |  | ) | const

inline

Returns
  number of taps in filter.

## operator=() [1/2]

fir_filter_with_buffer_fff & gr::filter::kernel::fir_filter_with_buffer_fff::operator= | ( | const fir_filter_with_buffer_fff & |  | ) |

delete

## operator=() [2/2]

fir_filter_with_buffer_fff & gr::filter::kernel::fir_filter_with_buffer_fff::operator= | ( | fir_filter_with_buffer_fff && |  | ) |

default

## set_taps()

void gr::filter::kernel::fir_filter_with_buffer_fff::set_taps | ( | const std::vector< float > & | taps | ) |

install `new_taps` as the current taps.

## taps()

std::vector< float > gr::filter::kernel::fir_filter_with_buffer_fff::taps | ( |  | ) | const

Returns
  current taps

The documentation for this class was generated from the following file:

- fir_filter_with_buffer.h